# platformio misc completion uninstall

Contents

- platformio misc completion uninstall

  - Usage

  - Description

    - Options

  - Examples

## Usage

    platformio misc completion uninstall [OPTIONS]
    pio misc completion uninstall [OPTIONS]

## Description

Uninstall shell completion files or code.

### Options

--shell

The shell type, default is `auto` and will be detected from a current shell session.

Supported shells are:

- fish

- zsh

- bash

- powershell

--path

Custom installation path of the code to be evaluated by the shell. The standard installation path is used by default.

## Examples

    > pio misc completion uninstall

    PlatformIO CLI completion has been uninstalled for fish shell from ~/.config/fish/completions/pio.fish
    Please restart a current shell session.